Bug 1408803 - Unable to add a volume option on the gluster volume
Summary: Unable to add a volume option on the gluster volume
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: Frontend.WebAdmin
Version: 4.1.0
Hardware: x86_64
OS: Linux
high
high vote
Target Milestone: ovirt-4.1.0-beta
: 4.1.0.2
Assignee: Ramesh N
QA Contact: SATHEESARAN
URL:
Whiteboard:
Depends On:
Blocks: Gluster-HC-2
TreeView+ depends on / blocked
 
Reported: 2016-12-27 10:35 UTC by SATHEESARAN
Modified: 2017-02-15 15:08 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: Combobox in volume options pop up is not working after recent changes in oVirt UI frameworks. Consequence: User is not able to add/edit gluster volume options. Fix: Modified the volume options pop up to use a list box which is searchable and modifiable. Result: User can add/update volume options using volume option popup. Also with this fix, user will be able to search for a particular volume option by typing the prefix.
Clone Of:
Environment:
Last Closed: 2017-02-15 15:08:25 UTC
oVirt Team: Gluster
rule-engine: ovirt-4.1+
rule-engine: planning_ack+
rnachimu: devel_ack+
sasundar: testing_ack+


Attachments (Terms of Use)
screenshot of adding volume option (67.41 KB, image/png)
2016-12-27 10:36 UTC, SATHEESARAN
no flags Details
engine.log (9.38 MB, text/plain)
2016-12-27 10:42 UTC, SATHEESARAN
no flags Details


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 69998 master MERGED gluster: fix option listing issue in set options 2017-01-18 09:52:15 UTC
oVirt gerrit 70720 ovirt-engine-4.1 MERGED gluster: fix option listing issue in set options 2017-01-19 12:13:01 UTC

Description SATHEESARAN 2016-12-27 10:35:23 UTC
Description of problem:
-----------------------
From oVirt web UI, I couldn't set an option on gluster volume.

Version-Release number of selected component (if applicable):
--------------------------------------------------------------
oVirt-4.1

How reproducible:
-----------------
Always

Steps to Reproduce:
-------------------
1. Create a hyperconverged setup with virt + gluster service enabled on the cluster
2. Add a hypervisor to this cluster, create bricks and volumes
3. Select the 'Volumes' tab --> select the volume --> select the'Volume Options' subtab,--> and click on 'Add'.
4. 'Add Option' dialog box pops-up, but with no droplist

Actual results:
---------------
Unable to set the volume option from UI

Expected results:
-----------------
Volume options should be set from UI

Comment 1 SATHEESARAN 2016-12-27 10:36:55 UTC
Created attachment 1235492 [details]
screenshot of adding volume option

Comment 2 SATHEESARAN 2016-12-27 10:42:18 UTC
Created attachment 1235493 [details]
engine.log

Comment 3 Sahina Bose 2017-01-02 10:31:12 UTC
This seems like a UI issue as the values are populated in the drop list.

Comment 4 Ramesh N 2017-01-11 10:16:37 UTC
This is an issue with VolumeParameterPopupView. The combobox is a combination of TextEditor and ListEditor. For some reason, ListEditor is not working after some patternfly related refactoring.

Comment 5 Eyal Edri 2017-01-23 08:28:53 UTC
Agreed with the Gluster team we can move Gluster bugs to ON_QA on engine build.

Comment 6 SATHEESARAN 2017-02-08 17:47:02 UTC
Tested with RHV 4.1 Beta1 ( Red Hat Virtualization Manager Version: 4.1.0.3-0.1.el7)

Volume options could be set on the volume through RHV UI


Note You need to log in before you can comment on or make changes to this bug.